| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | sysInitialize (self)
def | sysStart (self)
def | sysExecute (self)
def | sysStop (self)
def | sysFinalize (self)
def | sysReinitialize (self)
def | sysRestart (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python equivalent to IAlgorithm interface

Definition at line 402 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iAlgorithm.__init__ | ( |  | self,
|  |  | name,
|  |  | ialg = `None`
| ) |  |

Definition at line 405 of file Bindings.py.

405 def __init__(self, name, ialg=None):
406 iProperty.__init__(self, name, ialg)
407 if ialg:
408 self.__dict__['_ialg'] = InterfaceCast(gbl.IAlgorithm)(ialg)
409 else:
410 self.__dict__['_ialg'] = None
411
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iAlgorithm.__init__
def __init__(self, name, ialg=None)
Definition: Bindings.py:405

## Member Function Documentation

def GaudiPython.Bindings.iAlgorithm.execute | ( |  | self | ) |

Definition at line 423 of file Bindings.py.

423 def execute(self): return self.__call_interface_method__(
424 "_ialg", "execute")
425
GaudiPython.Bindings.iAlgorithm.execute
def execute(self)
Definition: Bindings.py:423
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.finalize | ( |  | self | ) |

Definition at line 428 of file Bindings.py.

428 def finalize(self): return self.__call_interface_method__(
429 "_ialg", "finalize")
430
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgorithm.finalize
def finalize(self)
Definition: Bindings.py:428

def GaudiPython.Bindings.iAlgorithm.initialize | ( |  | self | ) |

Definition at line 418 of file Bindings.py.

418 def initialize(self): return self.__call_interface_method__(
419 "_ialg", "initialize")
420
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgorithm.initialize
def initialize(self)
Definition: Bindings.py:418

def GaudiPython.Bindings.iAlgorithm.reinitialize | ( |  | self | ) |

Definition at line 431 of file Bindings.py.

431 def reinitialize(self): return self.__call_interface_method__(
432 "_ialg", "reinitialize")
433
GaudiPython.Bindings.iAlgorithm.reinitialize
def reinitialize(self)
Definition: Bindings.py:431
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.restart | ( |  | self | ) |

Definition at line 434 of file Bindings.py.

434 def restart(self): return self.__call_interface_method__(
435 "_ialg", "restart")
436
GaudiPython.Bindings.iAlgorithm.restart
def restart(self)
Definition: Bindings.py:434
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.retrieveInterface | ( |  | self | ) |

Definition at line 412 of file Bindings.py.

412 def retrieveInterface(self):
413 ialg = Helper.algorithm(InterfaceCast(
414 gbl.IAlgManager)(self._svcloc), self._name)
415 if ialg:
416 iAlgorithm.__init__(self, self._name, ialg)
417
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iAlgorithm.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:412

def GaudiPython.Bindings.iAlgorithm.start | ( |  | self | ) |

Definition at line 421 of file Bindings.py.

421 def start(self): return self.__call_interface_method__("_ialg", "start")
422
GaudiPython.Bindings.iAlgorithm.start
def start(self)
Definition: Bindings.py:421
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.stop | ( |  | self | ) |

Definition at line 426 of file Bindings.py.

426 def stop(self): return self.__call_interface_method__("_ialg", "stop")
427
GaudiPython.Bindings.iAlgorithm.stop
def stop(self)
Definition: Bindings.py:426
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.sysExecute | ( |  | self | ) |

Definition at line 443 of file Bindings.py.

443 def sysExecute(self): return self.__call_interface_method__(
444 "_ialg", "sysExecute")
445
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgorithm.sysExecute
def sysExecute(self)
Definition: Bindings.py:443

def GaudiPython.Bindings.iAlgorithm.sysFinalize | ( |  | self | ) |

Definition at line 449 of file Bindings.py.

449 def sysFinalize(self): return self.__call_interface_method__(
450 "_ialg", "sysFinalize")
451
GaudiPython.Bindings.iAlgorithm.sysFinalize
def sysFinalize(self)
Definition: Bindings.py:449
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.sysInitialize | ( |  | self | ) |

Definition at line 437 of file Bindings.py.

437 def sysInitialize(self): return self.__call_interface_method__(
438 "_ialg", "sysInitialize")
439
GaudiPython.Bindings.iAlgorithm.sysInitialize
def sysInitialize(self)
Definition: Bindings.py:437
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.sysReinitialize | ( |  | self | ) |

Definition at line 452 of file Bindings.py.

452 def sysReinitialize(self): return self.__call_interface_method__(
453 "_ialg", "sysReinitialize")
454
GaudiPython.Bindings.iAlgorithm.sysReinitialize
def sysReinitialize(self)
Definition: Bindings.py:452
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iAlgorithm.sysRestart | ( |  | self | ) |

Definition at line 455 of file Bindings.py.

455 def sysRestart(self): return self.__call_interface_method__(
456 "_ialg", "sysRestart")
457
458 # ----iAlgTool class-----------------------------------------------------------
459
460
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgorithm.sysRestart
def sysRestart(self)
Definition: Bindings.py:455

def GaudiPython.Bindings.iAlgorithm.sysStart | ( |  | self | ) |

Definition at line 440 of file Bindings.py.

440 def sysStart(self): return self.__call_interface_method__(
441 "_ialg", "sysStart")
442
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgorithm.sysStart
def sysStart(self)
Definition: Bindings.py:440

def GaudiPython.Bindings.iAlgorithm.sysStop | ( |  | self | ) |

Definition at line 446 of file Bindings.py.

446 def sysStop(self): return self.__call_interface_method__(
447 "_ialg", "sysStop")
448
GaudiPython.Bindings.iAlgorithm.sysStop
def sysStop(self)
Definition: Bindings.py:446
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py